/***
 * Excerpted from "Domain-Driven Design Using Naked Objects",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material, 
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose. 
 * Visit http://www.pragmaticprogrammer.com/titles/dhnako for more book information.
***/
package com.pragprog.dhnako.carserv.fixture;

import org.nakedobjects.applib.fixtures.PerspectiveFixture;

import com.pragprog.dhnako.carserv.dom.customer.CustomerRepository;
import com.pragprog.dhnako.carserv.dom.vehicle.CarRepository;


public class CarServPerspectiveFixture extends UserProfileFixture {
    @Override
    protected void installProfiles() {
        Profile templateProfile = newUserProfile();
        Perspective newPerspective = 
            templateProfile.newPerspective("CarServ");
        newPerspective.addToServices(CarRepository.class);
        newPerspective.addToServices(CustomerRepository.class);
        saveAsDefault(templateProfile);
        
        Profile fredsProfile = newUserProfile();
        Perspective fredsPerspective = 
            fredsProfile.newPerspective("Fred's CarServ");
        fredsPerspective.addToServices(CustomerRepository.class);
        fredsPerspective.addToServices(CarRepository.class);
        saveForUser("fsmith", fredsProfile);
    }
}

